### Class

# AppStreamCompose Hint

#### Description

    class AppStreamCompose.Hint : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### asc_hint_new

Creates a new `AscHint`.

###### asc_hint_new_for_tag

Creates a new `AscHint` with the given tag. If the selected tag was not registered+ with the global tag registry, `NULL` is returned and an error is set.

#### Instance methods

###### asc_hint_add_explanation_var

Add a replacement variable for the explanation text.

###### asc_hint_format_explanation

Formats the explanation template to return a human-redable issue hint explanation, with all placeholder variables replaced.

###### asc_hint_get_explanation_template

Gets the explanation template for this hint.

###### asc_hint_get_explanation_vars_list

Returns a list with the flattened key/value pairs for this hint. Values are located in uneven list entries, following their keys in even list entries.

###### asc_hint_get_severity

Gets the issue severity of this hint.

###### asc_hint_get_tag

Gets the unique tag for the type of this hint.

###### asc_hint_is_error

No description available.

###### asc_hint_is_valid

Check if this hint is valid (it requires at least a tag and a severity in order to be considered valid).

###### asc_hint_set_explanation_template

Sets the explanation template for this hint.

###### asc_hint_set_severity

Sets the issue severity of this hint.

###### asc_hint_set_tag

Sets the unique tag for the type of this hint.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AppStreamComposeHintClass {
      GObjectClass parent_class;
      void (* _as_reserved1) (
    void
      );
      void (* _as_reserved2) (
    void
      );
      void (* _as_reserved3) (
    void
      );
      void (* _as_reserved4) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_as_reserved1: void (* _as_reserved1) ( void )`

  No description available.

`_as_reserved2: void (* _as_reserved2) ( void )`

  No description available.

`_as_reserved3: void (* _as_reserved3) ( void )`

  No description available.

`_as_reserved4: void (* _as_reserved4) ( void )`

  No description available.